Impossible to edit

Questions about how to use the online - editors and suggestions how to improve them
delan10
Posts: 32
Joined: Sat May 24, 2008 6:18 pm

Impossible to edit

Post by delan10 » Mon Oct 28, 2013 10:50 am

Hello

I've got a problem with tiny mce.

When I want to edit a page i get the html code with no possibility of editing.
I can't get the wysiwyg interface and there's no save button.

I think the problem has to do with the hosting.
On my local server everything is ok. OK also on 1&1 or OVH.

Any help appreciated !
Thanx in advance

cmb
Posts: 12893
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Impossible to edit

Post by cmb » Mon Oct 28, 2013 11:12 am

That seems to be a JavaScript related problem. You should check the JavaScript or error console of your browser--what does it say? How to access the console depends on the browser; in Firefox you can try CTRL+SHIFT+J.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

delan10
Posts: 32
Joined: Sat May 24, 2008 6:18 pm

Re: Impossible to edit

Post by delan10 » Mon Oct 28, 2013 12:35 pm

Thank you for your help

Here is a screenshot :

[ external image ]

Is there something to ask to the hoster, as everything runs fine locally or with other hosters ?
Unfortunatelly i can not change the hoster, which is the one choosen by my customer...

For your information I use CMsimple xh 1.4.4 and the plugin MLDtinymce_XH.
Everything is ISO encoded

cmb
Posts: 12893
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Impossible to edit

Post by cmb » Mon Oct 28, 2013 12:56 pm

delan10 wrote:Here is a screenshot :
Thanks. I assume the last 3 lines point to the problem: there is a JavaScript error to due the use of an out-dated JavaScript usage, which seems to stem from TinyMCE.
delan10 wrote:For your information I use CMsimple xh 1.4.4 and the plugin MLDtinymce_XH.
Everything is ISO encoded
Very important information! I presume you're using MLDtinymce_XH 1.1, which uses an old TinyMCE version from 2010-09-23. You can try to download the latest TinyMCE version of the 3.x branch, and upload the contents of tinymce/jscripts/tiny_mce/ to plugins/MLDtinymce_XH/tiny_mce/ (make a backup first!). That might solve the problem.

However, I recommend to upgrade to CMSimple_XH 1.5.9 (there are upgrade instructions), which already uses a quite up-to-date version of TinyMCE. In this case you will have to switch to UTF8 encoding, what is some more work, but after that step you're prepared for future versions. Please note, that CMSimple_XH 1.4.x has reached it's End Of Life a few months ago, so there will be no more bug fixes and security patches.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

delan10
Posts: 32
Joined: Sat May 24, 2008 6:18 pm

Re: Impossible to edit

Post by delan10 » Mon Oct 28, 2013 5:30 pm

Very important information! I presume you're using MLDtinymce_XH 1.1, which uses an old TinyMCE version from 2010-09-23. You can try to download the latest TinyMCE version of the 3.x branch, and upload the contents of tinymce/jscripts/tiny_mce/ to plugins/MLDtinymce_XH/tiny_mce/ (make a backup first!). That might solve the problem.
Thanks for this good idea but unfortunately it doesn't work :(
However, I recommend to upgrade to CMSimple_XH 1.5.9 (there are upgrade instructions), which already uses a quite up-to-date version of TinyMCE. In this case you will have to switch to UTF8 encoding, what is some more work, but after that step you're prepared for future versions. Please note, that CMSimple_XH 1.4.x has reached it's End Of Life a few months ago, so there will be no more bug fixes and security patches.
I'm aware of that but for that particular project I don't want to assume that extra-work ! ;)

The problem must be linked with the hoster as the website (as well as many others that I built running with cmsimple xh 1.1.4 and mldtinymcexh 1.1) runs without problem on other hosters (ovh, 1&1, localhost via movamp...). But what can I ask them to modify ? If you have any idea...

cmb
Posts: 12893
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Impossible to edit

Post by cmb » Mon Oct 28, 2013 6:28 pm

delan10 wrote:running with cmsimple xh 1.1.4
Above you had written XH 1.4.4. :? XH 1.1.x is still supported till the end of the year (don't expect too much, though). If you're using this version you should update to XH 1.1.7, which fixes a XSS vulnerability, a general problem with PHP 5.4 and several minor (and perhaps not so minor) bugs.

Regarding the actual problem: perhaps this is caused by something completely different. There are some messages regarding the document encoding. I don't speak French, but it seems to me that files are delivered with the wrong character encoding (however, the messages were reported about 15 seconds earlier and may be from another site). Anyway, perhaps the server sends a wrong Content-Type header; that could be fixed by your hosting company or maybe by yourself using an appropriate .htaccess.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

delan10
Posts: 32
Joined: Sat May 24, 2008 6:18 pm

Re: Impossible to edit

Post by delan10 » Mon Oct 28, 2013 7:09 pm

Oups... sorry for the confusion 1.1.4 & 1.4.4. !

The version used is 1.4.4

I forgot to mention that the problem concerns all browsers, ie safari firefox chrome...
As for 2 the erros in the javascript console here is another screenshot. Maybe it will help...

[ external image ]

The .htaccess might be a solution as well but i'm a bit confused about what to put in exactly...

cmb
Posts: 12893
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Impossible to edit

Post by cmb » Mon Oct 28, 2013 7:34 pm

delan10 wrote:The version used is 1.4.4
Thanks for the clarification. :)
delan10 wrote:As for 2 the erros in the javascript console here is another screenshot. Maybe it will help...
The first screenshot shows pretty old code, as it infers from the string "Gecko" being part of the user agent string, that the browser is Firefox 3.0[1]. Firefox 3.5 (since then the code fails) was released 2009-06-30. As that was more than a year before the TinyMCE version contained in MLDtinymce_XH 1.1 was released, I infer that the code is not part of TinyMCE. From which file is it?
delan10 wrote:The .htaccess might be a solution as well but i'm a bit confused about what to put in exactly...
We should investigate the JavaScript error first. After having seen the code, I'm quite sure, that this is the main problem (if not the only one).

[1] Generally, such browser detection should be avoided, by the way.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

delan10
Posts: 32
Joined: Sat May 24, 2008 6:18 pm

Re: Impossible to edit

Post by delan10 » Mon Oct 28, 2013 7:40 pm

The first screenshot shows pretty old code, as it infers from the string "Gecko" being part of the user agent string, that the browser is Firefox 3.0[1]. Firefox 3.5 (since then the code fails) was released 2009-06-30. As that was more than a year before the TinyMCE version contained in MLDtinymce_XH 1.1 was released, I infer that the code is not part of TinyMCE. From which file is it?
Thanks again for your help.

Nothing has been modified. Il all comes from the MLDtinymce_XH 1.1 "original package".
The concerned file for this error is the tiny_mce_gzip

The other error refers to the tinymce.php file

What is strange is that it works fine with other hosters, as well as localy with with movamp. :?

cmb
Posts: 12893
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Impossible to edit

Post by cmb » Mon Oct 28, 2013 8:00 pm

delan10 wrote:The concerned file for this error is the tiny_mce_gzip
Ah, indeed. This is a compressor script. Please try to change the configuration of MLDtinymce_XH:

Code: Select all

$plugin_cf['MLDtinymce_XH']['use_gzip']='';
(untested, as I'm in a hurry now)
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Post Reply